package it.lineacomune.pagopa.core.codiciritorno;

public enum ErroreAnagraficaVersante{
    ERR_BE_AV_GEN_000("Errore generico durante l’operazione di Inserimento o di Aggiornamento dell’Anagrafica Versante"),
    ERR_BE_AV_GEN_001("Il Codice Identificativo Univoco è assente o non è corretto"),
    ERR_BE_AV_GEN_002("Il Codice Identificativo Univoco e nome e cognome sono assenti o non corretti"),
    ERR_BE_AV_GEN_003("Nome e cognome assenti o non corretti"),
    ERR_BE_AV_GEN_004("Il numero civico è assente o non corretto"),
    ERR_BE_AV_GEN_005("L’indirizzo email è assente o non corretto"),
    ERR_BE_AV_GEN_006("L’indirizzo è assente o non corretto"),
    ERR_BE_AV_GEN_007("La località è mancante o non corretta"),
    ERR_BE_AV_GEN_008("La nazione è mancante o non corretta"),
    ERR_BE_AV_GEN_009("La provincia è mancante o non è corretta"),
    ERR_BE_AV_GEN_010("Il Tipo Identificativo univoco è mancante o non è corretto (F o G)");
    
    private String valore;


    private ErroreAnagraficaVersante(String valore) {
        this.valore = valore;
    }

    public String getValue() {
        return this.valore;
    }
        
}
