package it.lineacomune.pagopa.core.codiciritorno;

public enum ErrorePagamentoAtteso {
    ERR_BE_PA_GEN_000("Pagamento atteso non trovato"),
    ERR_BE_PA_GEN_001("Pagamento atteso in pagamento"),
    ERR_BE_PA_GEN_002("Pagamento atteso già pagato"),
    ERR_BE_PA_GEN_003("Pagamento atteso già annullato"),
    ERR_BE_PA_GEN_004("Pagamento atteso non pagato"),
    ERR_BE_PA_GEN_005("Iuv non univoco sull’Ente specificato"),
    ERR_BE_PA_GEN_006("Iuv non univoco sull’Ente o Identificativo BackOffice non univoco sul Servizio"),
    ERR_BE_PA_GEN_007("Identificativo BackOffice non univoco sul Servizio"),
    ERR_BE_PA_GEN_008("Importo del Pagamento Atteso nullo o non corretto"),
    ERR_BE_PA_GEN_009("Parametro Iuv errato"),
    ERR_BE_PA_GEN_010("Identificativo BackOffice errato"),
    ERR_BE_PA_GEN_011("Causale assente o errata"),
    ERR_BE_PA_GEN_012("Natura Giuridica assente o errata"),
    ERR_BE_PA_GEN_013("Codice Fiscale/P.IVA assente o errato/a"),
    ERR_BE_PA_GEN_014("Denominazione assente o errata"),
    ERR_BE_PA_GEN_015("Numero avviso assente o errato"),
    ERR_BE_PA_GEN_016("Data inizio validità assente o errata"),
    ERR_BE_PA_GEN_017("Canale Pagamento assente o errato"),
    ERR_BE_PA_GEN_018("Dati Specifici Riscossione assenti o errati"),
    ERR_BE_PA_GEN_019("Indirizzo assente o errato"),
    ERR_BE_PA_GEN_020("Civico assente o errato"),
    ERR_BE_PA_GEN_021("CAP assente o errato"),
    ERR_BE_PA_GEN_022("Località assente o errata"),
    ERR_BE_PA_GEN_023("Provincia assente o errata"),
    ERR_BE_PA_GEN_024("Nazione assente o errata"),
    ERR_BE_PA_GEN_025("Email assente o errata"),
    ERR_BE_PA_GEN_026("Iuv assente"),
    ERR_BE_PA_GEN_027("Identificativo BackOffice assente"),
    ERR_BE_PA_GEN_028("Il Pagamento Atteso fa parte di un Servizio che non ha la contabilità ma contiene Partite Debitorie"),
    ERR_BE_PA_GEN_029("Operazione non supportata dal batch di Importazione Pagamenti Attesi"),
    ERR_BE_PA_GEN_030("Iuv gia' corrispondente ad altro Pagamento Atteso nella lista errori dell'elaborazione attuale"),
    ERR_BE_PA_GEN_031("Il Numero dei Pagamenti Attesi supera il limite massimo consentito"),
    ERR_BE_PA_GEN_032("Il Pagamento Atteso fa parte di un Servizio che ha la contabilità ma non contiene Partite Debitorie"),
    ERR_BE_PA_GEN_033("Data scadenza pagamento superata"),
    ERR_BE_PA_GEN_034("La request non contiene alcun Pagamento Atteso"),
    ERR_BE_PA_GEN_035("Il file non contiene alcun Pagamento Atteso"),
    ERR_BE_PA_GEN_036("L'importo del Pagamento Atteso non corrisponde alla somma degli importi delle sue Partite Debitorie"),
    ERR_BE_PA_GEN_037("Motivazione di richiesta Operazione sul Pagamento Atteso assente"),
    ERR_BE_PA_GEN_038("Impossibile salvare il Pagamento Atteso"),
    ERR_BE_PA_GEN_039("IP non abilitato a chiedere i pagamenti attesi"),
    ERR_BE_PA_GEN_040("Ricevuta Telematica positiva non trovata per iuv passato"),
    ERR_BE_PA_GEN_041("Pagamento atteso non annullato");

    private String valore;


    private ErrorePagamentoAtteso(String valore) {
        this.valore = valore;
    }

    public String getValue() {
        return this.valore;
    }

}
