package it.lineacomune.pagopa.core.codiciritorno;

public enum ErrorePagamentoAttesoInserisci {
    ERR_BE_PA_INS_000("Errore durante l'Inserimento del Pagamento Atteso"),
    ERR_BE_PA_INS_001("Il codice IUV fornito non rispetta il formato numerico previsto"),
    ERR_BE_PA_INS_002("Errore durante l’assegnazione del Numero Avviso"),
    ERR_BE_PA_INS_003("Errore durante la generazione del codice CIN"),
    ERR_BE_PA_INS_004("Errore durante la generazione del codice IUV"),
    ERR_BE_PA_INS_005("Errore durante l’inserimento del Pagamento Atteso: il Servizio prevede la generazione automatica dello IUV");
    
    private String valore;

    private ErrorePagamentoAttesoInserisci(String valore) {
        this.valore = valore;
    }

    public String getValue() {
        return this.valore;
    }

}
