package it.lineacomune.pagopa.core.codiciritorno;

public enum ErroreToken {

    ERR_BE_TOKEN_GEN_001("Errore, parametro mancante"),
    ERR_BE_TOKEN_GEN_002("Errore, servizio non abilitato"),
    ERR_BE_TOKEN_GEN_003("Errore generazione token"),
    ERR_BE_TOKEN_GEN_004("Errore salvataggio token"),
    ERR_BE_TOKEN_GEN_005("Errore id sessione non valida"),
    ERR_BE_TOKEN_GEN_006("Errore token non trovato"),
    ERR_BE_TOKEN_GEN_007("Errore token scaduto"),
    ERR_BE_TOKEN_GEN_008("Errore iuv non presenti"),
    ERR_BE_TOKEN_GEN_009("Errore url di ritorno non presente"),
    ERR_BE_TOKEN_GEN_010("Errore pagamenti attesi non trovati per iuv passati"),
    ERR_BE_TOKEN_GEN_011("Errore keywisp già registrato per questo token"),
    ERR_BE_TOKEN_GEN_012("Errore nessun pagamento atteso associato al token"),
    ERR_BE_TOKEN_GEN_013("Errore IUV passati appartenenti a servizi differenti"),
    ERR_BE_TOKEN_GEN_014("Attenzione, pagamento atteso non trovato per iuv ed ente passati"),
    ERR_BE_TOKEN_GEN_015("Attenzione, pagamento atteso non trovato per iuv, ente, cf/piva passati"),
    ERR_BE_TOKEN_GEN_016("Attenzione, IUV non corretto"),
    ERR_BE_TOKEN_GEN_017("Attenzione, Codice Fiscale o Partita Iva non corretta")
    ;

    private String valore;

    private ErroreToken(String valore) {
        this.valore = valore;
    }

    public String getValue() {
        return this.valore;
    }

}
