package it.lineacomune.pagopa.core.codiciritorno;

public enum ErroreAvvisoPagamento {

    PARAMETRO_MANCANTE("ERR_BE_AVVISOPAGAMENTO_GEN_001"),
    SERVIZIO_NON_ABILITATO("ERR_BE_AVVISOPAGAMENTO_GEN_002"),
    VALORE_IMPORTO_ERRATO("ERR_BE_AVVISOPAGAMENTO_GEN_003"),
    CAUSALE_VERSAMENTO_TROPPO_LUNGA("ERR_BE_AVVISOPAGAMENTO_GEN_004"),
    NATURA_GIURIDICA_ERRATA("ERR_BE_AVVISOPAGAMENTO_GEN_005"),
    ERRORE_RICERCA_PAGAMENTO_ATTESO("ERR_BE_AVVISOPAGAMENTO_GEN_006"),
    ERRORE_CHIAMATA_WS_AVVISOPAGAMENTO("ERR_BE_AVVISOPAGAMENTO_GEN_007"),
    ERRORE_RISPOSTA_WS_AVVISOPAGAMENTO("ERR_BE_AVVISOPAGAMENTO_GEN_008")
    ;



    private String valore;

    private ErroreAvvisoPagamento(String valore) {
        this.valore = valore;
    }

    public String getValue() {
        return this.valore;
    }
}
