package it.lineacomune.pagopa.core.codiciritorno;

public enum ErrorePagamentoAttesoEsitiPagamenti {
    ERR_BE_PA_ESI_000("Impossibile recuperare la lista dei Pagamenti Attesi per il servizio specificato"),
    ERR_BE_PA_ESI_001("Impossibile settare lo stato 'Comunicato' sui Pagamenti Attesi"),
    ERR_BE_PA_ESI_002("Impossibile aggiungere un altro file odierno per il servizio attuale oltre a quello trovato nella cartella work"),
    ERR_BE_PA_ESI_003("Errore durante l'invio degli Esiti di Pagamento al Servizio tramite Canale WS"),
    ERR_BE_PA_ESI_004("Errore durante l'invio degli Esiti di Pagamento al Servizio tramite Canale FILE"),
    ERR_BE_PA_ESI_005("Errore durante l’archiviazione del file di esiti del giorno precedente (canale FILE)"),
    ERR_BE_PA_ESI_006("Errore durante lo spostamento in errore del file temporanei degli esiti (canale FILE)"),
    ERR_BE_PA_ESI_007("Errore durante la lettura del file degli esiti odierni gia' creato per il Servizio attuale (canale FILE)");
    
    
    private String valore;

    private ErrorePagamentoAttesoEsitiPagamenti(String valore) {
        this.valore = valore;
    }

    public String getValue() {
        
        return this.valore;
    }
        
}
