package it.lineacomune.pagopa.core.codiciritorno;

public enum ErrorePartitaDebitoria {
    ERR_BE_PD_GEN_000("Errore generico durante l'inserimento della Partita Debitoria"),
    ERR_BE_PD_GEN_001("L'Identificativo BackOffice della Partita Debitoria è assente o errato"),
    ERR_BE_PD_GEN_002("La descrizione della Partita Debitoria è nulla"),
    ERR_BE_PD_GEN_003("L’importo della Partita Debitoria è nullo o non valido"),
    ERR_BE_PD_GEN_004("L'importo della Partita Debitoria non corrisponde alla somma degli importi degli Articoli Debitori specificati"),
    ERR_BE_PD_GEN_005("La Partita Debitoria non contiene Articoli Debitori validi");
    
    
    private String valore;


    private ErrorePartitaDebitoria(String valore) {
        this.valore = valore;
    }

    public String getValue() {
        return this.valore;
    }
        
}
