package it.lineacomune.pagopa.core.codiciritorno;

public enum ErroreServizio {
    ERR_BE_SERV_GEN_000("Servizio non censito"),
    ERR_BE_SERV_GEN_001("Servizio non abilitato"),
    ERR_BE_SERV_GEN_002("Servizio non correttamente configurato (classe di validazione Iuv errata o assente)"),
    ERR_BE_SERV_GEN_003("Servizio non correttamente configurato (regola di validazione Iuv errata o assente E classe di validazione Iuv errata o assente)"),
    ERR_BE_SERV_GEN_004("Parametro Codice Servizio non specificato"),
    ERR_BE_SERV_GEN_005("Canale Esiti Pagamenti Attesi 'NON_APPLICABILE' non consentito"),
    ERR_BE_SERV_GEN_006("Canale Esiti Pagamenti Attesi non riconosciuto"),
    ERR_BE_SERV_GEN_007("Canale di Pagamento dei Pagamenti Attesi non riconosciuto"),
    ERR_BE_SERV_GEN_008("Impossibile comunicare i Pagamenti Attesi pagati al servizio tramite WS"),
    ERR_BE_SERV_GEN_009("Il path di scambio del batch dei Pagamenti Attesi non corrisponde alla coppia Ente/Servizio specificato nel file .xml di input");

    private String valore;

    private ErroreServizio(String valore) {
        this.valore = valore;
    }

    public String getValue() {
        return this.valore;
    }
        
}
